OccurrenceCellsServlet (GWT Maven Archetype 3.1.0-3.0.0 API)
Date: 2014-02-28

org.gcube.application.aquamaps.aquamapsportlet.servlet

## Class OccurrenceCellsServlet

- java.lang.Object
- - javax.servlet.GenericServlet
  - - javax.servlet.http.HttpServlet
    - - org.gcube.application.aquamaps.aquamapsportlet.servlet.CustomServlet
      - - org.gcube.application.aquamaps.aquamapsportlet.servlet.OccurrenceCellsServlet

- All Implemented Interfaces:
    Serializable, javax.servlet.Servlet, javax.servlet.ServletConfig

      public class OccurrenceCellsServlet
      extends CustomServlet

  See Also:
    Serialized Form

- - ### Field Summary

    - ### Fields inherited from class org.gcube.application.aquamaps.aquamapsportlet.servlet.CustomServlet

      `BUFSIZE`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `OccurrenceCellsServlet()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected void` | `handleRequest(javax.servlet.http.HttpServletRequest request, javax.servlet.http.HttpServletResponse response)`

    - ### Methods inherited from class org.gcube.application.aquamaps.aquamapsportlet.servlet.CustomServlet

      `doGet, doPost`

    - ### Methods inherited from class javax.servlet.http.HttpServlet

      `doDelete, doHead, doOptions, doPut, doTrace, getLastModified, service, service`

    - ### Methods inherited from class javax.servlet.GenericServlet

      `destroy, getInitParameter, getInitParameterNames, getServletConfig, getServletContext, getServletInfo, getServletName, init, init, log, log`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### OccurrenceCellsServlet

          public OccurrenceCellsServlet()

  - ### Method Detail

    - #### handleRequest

          protected void handleRequest(javax.servlet.http.HttpServletRequest request,
                           javax.servlet.http.HttpServletResponse response)
                                throws javax.servlet.ServletException,
                                       IOException

      Overrides:
        `handleRequest` in class `CustomServlet`
      Throws:
        `javax.servlet.ServletException`
        `IOException`

Copyright © 2014. All Rights Reserved.